Subject: RE: [rohc] UOR-2 packets with TS_STRIDE and Tsc equal to 1 in Extension 3

From: [email-masked]
Date: Mon, 5 Apr 2004 13:10:26 -0400

Hi,

Good question and discussion. You have identified a fuzzy point in
RFC 3095 that needs to be clarified. Please see my comments below.

BR,
Zhigang

[Pawel wrote:]
> > >Note that the following text from RFC 3095 section 5.7.5 page 85:
> > >" Tsc: Tsc = 0 indicates that TS is not scaled;
> > >  Tsc = 1 indicates that TS is scaled according to section
> > >  4.5.3, using value(TS_STRIDE). "
> > >For me the fact that the TS is scaled using  "value(TS_STRIDE)" and not context
> > >(TS_STRIDE) suggests that the TS can be scaled using  TS_STRIDE sent in the
> > >same packet as the TS field.

Good point. This is probably something we overlooked. IMHO, it should really be 
context(TS_STRIDE).

[Kavitha wrote:]
> >      But on the other hand, when we want to communicate TS_STRIDE, we
> >      are basically initializing the timestamp context. In which we should explicitly
> >      communicate TS_STRIDE and implicitly communicate TS_OFFSET as well. Which means
> >      we must send unscaled TS and TS_STRIDE for some packets until decompressor
> >      confidence is obtained. [Please refer section 4.5.3 Page 29, Point 1 of RFC3095.]

Right.

[Pawel wrote:]
> I know that in most cases it does not make sense to send such packets, but from
> the implementors point of view I would expect a clear statemenet (for example
> in the implementation guide) whether such packets are legal and what is the
> correct behaviour of the decompressor when it receives such a packet.

My suggestion would be to clarify the following in the implementation guide.
Comments?
- Text on Extension 3 in section 5.7.5 should read context(TS_STRIDE)
- When a compressor uses Extension 3 to re-establish a new value for TS_STRIDE,
it must send unscaled TS and TS_STRIDE for some packets until decompressor
confidence is obtained. In other words, Tsc must be set to 0 (zero) in Extension
3 when TS_STRIDE field is present.

BR,
Zhigang

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Pawel Szymanski" <[email-masked]>
Date: Tue, 6 Apr 2004 12:52:22 +0200

Hi Zhigang,

I agree with you. 
The clarifications you proposed are reasonable and they will definietly fix the 
problem.

Regards 

Pawel

> 3 when TS_STRIDE field is present.

----------------------------------------------------
Fani zespołu Metallica łączcie się! Dołączamy do majowego koncertu!
http://klik.wp.pl/?adr=http%3A%2F%2Fmuzyka.wp.pl%2Fimprezy.html%3Fidn%3D829&sid=157